// closure-ssi.c        Section: Support, Semi-Sphere-Image
//      Copyright 1994, Center for Computer Vision and Visualization,
//      University of Florida.  All rights reserved.

// Closure generating program for the semi-sphere-image.c file

#include "semi-sphere-image.h"

int main( ) {

    IA_Image<IA_Point<int>,u_char> image( read_uchar_PGM( cin ) );

    IA_Image<IA_Point<int>,int>    idi( image );
    IA_Image<IA_Point<int>,float>  fdi( image );

    double radius( 10 );
    unsigned int dimension = 2;
    cerr << "Generate semi-spheres with radius = " << radius << endl;

    image = semi_sphere_image( radius, dimension,
			       (IA_Point<int> *)(0), (u_char *)(0) );
    idi   = semi_sphere_image( radius, dimension,
			       (IA_Point<int> *)(0), (int *)(0) );
    fdi   = semi_sphere_image( radius, dimension,
			       (IA_Point<int> *)(0), (float *)(0) );

    return 0;
}
